Skip to main content
aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
Diffstat (limited to 'tests/org.eclipse.swt.tests/ManualTests/org/eclipse/swt/tests/manual/Bug548286_DumpSystemColors.sh')
-rwxr-xr-xtests/org.eclipse.swt.tests/ManualTests/org/eclipse/swt/tests/manual/Bug548286_DumpSystemColors.sh26
1 files changed, 26 insertions, 0 deletions
diff --git a/tests/org.eclipse.swt.tests/ManualTests/org/eclipse/swt/tests/manual/Bug548286_DumpSystemColors.sh b/tests/org.eclipse.swt.tests/ManualTests/org/eclipse/swt/tests/manual/Bug548286_DumpSystemColors.sh
new file mode 100755
index 0000000000..a137060853
--- /dev/null
+++ b/tests/org.eclipse.swt.tests/ManualTests/org/eclipse/swt/tests/manual/Bug548286_DumpSystemColors.sh
@@ -0,0 +1,26 @@
+JAVA_ARGS=
+JAVA_CP=
+
+if [ -z "$JAVA_CP" ]; then
+ echo 'ERROR: You need to specify $JAVA_CP and maybe $JAVA_ARGS'
+ exit 1
+fi
+
+function TestTheme() {
+ echo
+ echo $1
+ echo -----------
+ GTK_THEME=$1 java $JAVA_ARGS -classpath $JAVA_CP org.eclipse.swt.tests.manual.Bug548286_DumpSystemColors
+}
+
+TestTheme Adwaita
+TestTheme Adwaita-dark
+TestTheme Ambiance
+TestTheme Clearlooks-Phenix
+TestTheme HighContrast
+TestTheme Radiance
+TestTheme Raleigh
+TestTheme Yaru
+TestTheme Yaru-dark
+
+

Back to the top